org.bouncycastle.crypto.params

## Class MGFParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.MGFParameters

All Implemented Interfaces:
  DerivationParameters

    public class MGFParameters
    extends java.lang.Object
    implements DerivationParameters

parameters for mask derivation functions.

### Constructor Summary

Constructors
Constructor and Description
`MGFParameters(byte[] seed)`
`MGFParameters(byte[] seed, int off, int len)`

### Method Summary

Methods
`byte[]` `getSeed()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MGFParameters

    public MGFParameters(byte[] seed)

#### MGFParameters

    public MGFParameters(byte[] seed,
                 int off,
                 int len)

### Method Detail

#### getSeed

    public byte[] getSeed()